=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2009-06-24 19:16:57 +0000
+++ drizzled/handler.cc	2009-06-30 21:28:16 +0000
@@ -2938,8 +2938,8 @@
   else
   {
     cost->zero();
-    *buffer_size= max((ulong)*buffer_size,
-                      (size_t)(1.2*rows_in_last_step) * elem_size +
+    *buffer_size= max(*buffer_size,
+                      (uint32_t)(1.2*rows_in_last_step) * elem_size +
                       h->ref_length + table->key_info[keynr].key_length);
   }
 

=== modified file 'drizzled/sql_plugin.cc'
--- drizzled/sql_plugin.cc	2009-06-26 19:37:44 +0000
+++ drizzled/sql_plugin.cc	2009-06-30 21:28:16 +0000
@@ -1039,7 +1039,7 @@
                      &error, &error_len, &not_used);
     if (error_len)
     {
-      length= min(sizeof(buff), (unsigned long)error_len);
+      length= min((uint32_t)sizeof(buff), error_len);
       strncpy(buff, error, length);
       buff[length]= '\0';
       strvalue= buff;

=== modified file 'mysys/default_modify.cc'
--- mysys/default_modify.cc	2009-06-29 20:32:49 +0000
+++ mysys/default_modify.cc	2009-06-30 21:28:16 +0000
@@ -103,7 +103,7 @@
     for the option we want to add.
   */
   if (!(file_buffer= (char*) malloc(max(buffer_size + reserve_extended,
-                                        (long unsigned)SIZE_MAX))))
+                                        (size_t)SIZE_MAX))))
     goto malloc_err;
 
   sect_len= strlen(section_name);

